Ogre::D3D9HardwareVertexBuffer::BufferResources Struct Reference

`#include <OgreD3D9HardwareVertexBuffer.h>`

List of all members.

## Public Attributes

IDirect3DVertexBuffer9 * | mBuffer
bool | mOutOfDate
size_t | mLockOffset
size_t | mLockLength
LockOptions | mLockOptions
uint | mLastUsedFrame

## Detailed Description

Definition at line 70 of file OgreD3D9HardwareVertexBuffer.h.

## Member Data Documentation

IDirect3DVertexBuffer9* Ogre::D3D9HardwareVertexBuffer::BufferResources::mBuffer

Definition at line 72 of file OgreD3D9HardwareVertexBuffer.h.

uint Ogre::D3D9HardwareVertexBuffer::BufferResources::mLastUsedFrame

Definition at line 77 of file OgreD3D9HardwareVertexBuffer.h.

size_t Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockLength

Definition at line 75 of file OgreD3D9HardwareVertexBuffer.h.

size_t Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockOffset

Definition at line 74 of file OgreD3D9HardwareVertexBuffer.h.

LockOptions Ogre::D3D9HardwareVertexBuffer::BufferResources::mLockOptions

Definition at line 76 of file OgreD3D9HardwareVertexBuffer.h.

bool Ogre::D3D9HardwareVertexBuffer::BufferResources::mOutOfDate

Definition at line 73 of file OgreD3D9HardwareVertexBuffer.h.

The documentation for this struct was generated from the following file:

- OgreD3D9HardwareVertexBuffer.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:48